package emps.v2_obiektowo;

import java.util.List;

public class P5_MinMax_v1 {

    public static void main(String[] args) {
        List<Employee> emps = ObslugaCSV.wczytajDane();
        int maxSalary = 0;
        String max = "";
        int minSalary = Integer.MAX_VALUE;
        String min = "";
        
        for(Employee emp : emps) {
            if(emp.getSalary() > maxSalary) {
                maxSalary = emp.getSalary();
                max = emp.getFirstName() + " " + emp.getLastName();
            }
            if(emp.getSalary() < minSalary) {
                minSalary = emp.getSalary();
                min = emp.getFirstName() + " " + emp.getLastName();
            }
        }
        
        System.out.println("Największa pensja: " + maxSalary);
        System.out.println("Najbogatszy pracownik: " + max);
        System.out.println("Najmniejsza pensja: " + minSalary);
        System.out.println("Najbiedniejszy pracownik: " + min);
    }

}
